classification
Title: single-argument form of -isysroot should be supported
Type: behavior Stage: resolved
Components: Distutils, macOS Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: dstufft, eric.araujo, jmr, miss-islington, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2019-10-03 11:20 by jmr, last changed 2020-04-22 17:21 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16480 merged jmr, 2019-10-03 11:20
PR 19657 merged miss-islington, 2020-04-22 16:10
PR 19658 merged miss-islington, 2020-04-22 16:10
Messages (7)
msg353838 - (view) Author: Joshua Root (jmr) * Date: 2019-10-03 11:20
The path associated with the -isysroot compiler flag can be supplied either as a separate argument or in the same argument as -isysroot itself. The places in library code that do special handling of this flag should support both forms, but currently only support the two separate arguments form. This means that the flag may not be removed when pointing to a nonexistent SDK or when a different SDK is specified in the user's CFLAGS, and at worst a ValueError is raised in compiler_fixup.
msg356046 - (view) Author: Joshua Root (jmr) * Date: 2019-11-05 16:54
Ping?
msg366990 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-04-22 07:44
New changeset b310700976524b4b99ee319c947ca40468716fc9 by Joshua Root in branch 'master':
bpo-38360: macOS: support alternate form of -isysroot flag (GH-16480)
https://github.com/python/cpython/commit/b310700976524b4b99ee319c947ca40468716fc9
msg366991 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-04-22 07:53
Thanks for the PR! This seems like a borderline feature rather than a bug so, unless there is a compelling reason to backport it to 3.8.x, I'm just going to push it to master for release in 3.9.0 (as of alpha 6).
msg366997 - (view) Author: Joshua Root (jmr) * Date: 2020-04-22 11:34
That ValueError I mentioned causes build failures for extension modules whenever the CFLAGS in sysconfig contains an -isysroot flag in the single arg form. We ran into it a lot in MacPorts on Mojave and Catalina. So I would consider it a bug, and would prefer to backport to all branches that are open for bug fixes.
msg367017 - (view) Author: miss-islington (miss-islington) Date: 2020-04-22 16:27
New changeset e7f8684ef77d280eb99b8533fd18455caa0fe194 by Miss Islington (bot) in branch '3.7':
bpo-38360: macOS: support alternate form of -isysroot flag (GH-16480)
https://github.com/python/cpython/commit/e7f8684ef77d280eb99b8533fd18455caa0fe194
msg367027 - (view) Author: miss-islington (miss-islington) Date: 2020-04-22 17:13
New changeset 4a6da0b63ba0fb811bfa3cacd69d22a9c0b24a4d by Miss Islington (bot) in branch '3.8':
bpo-38360: macOS: support alternate form of -isysroot flag (GH-16480)
https://github.com/python/cpython/commit/4a6da0b63ba0fb811bfa3cacd69d22a9c0b24a4d
History
Date User Action Args
2020-04-22 17:21:50ned.deilysetversions: + Python 3.7, Python 3.8
2020-04-22 17:13:53miss-islingtonsetmessages: + msg367027
2020-04-22 16:27:31miss-islingtonsetmessages: + msg367017
2020-04-22 16:10:16miss-islingtonsetpull_requests: + pull_request18984
2020-04-22 16:10:08miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request18983
2020-04-22 11:34:30jmrsetmessages: + msg366997
2020-04-22 07:53:20ned.deilysetstatus: open -> closed
versions: - Python 2.7, Python 3.5, Python 3.6, Python 3.7, Python 3.8
messages: + msg366991

assignee: ned.deily
resolution: fixed
stage: resolved
2020-04-22 07:44:19ned.deilysetmessages: + msg366990
2019-11-05 16:54:18jmrsetmessages: + msg356046
2019-10-03 11:20:54jmrcreate